Subject: Re: [PATCH] Add a basic support of SHA256 repositories into Gitk

From: Felipe Contreras <[email-masked]>
Date: Fri, 18 Jun 2021 19:56:33 -0500

Ævar Arnfjörð Bjarmason wrote:
> 
> On Wed, Jun 16 2021, Junio C Hamano wrote:
> 
> > "Rostislav Krasny via GitGitGadget" <[email-masked]> writes:
> >
> >> From: Rostislav Krasny <[email-masked]>
> >>
> >> Signed-off-by: Rostislav Krasny <[email-masked]>
> >> ---
> >>     gitk: Add a basic support of SHA256 repositories into Gitk
> >
> > Looping-in the gitk maintainer.
> >
> >>     This PR makes Gitk working on both SHA256 and SHA1 repositories without
> >>     errors/crashes. I made it by changing and testing the gitk script of Git
> >>     for Windows [https://gitforwindows.org/] version 2.32.0.windows.1 that
> >>     is a little bit different than the mainstream 2.32.0 version.
> >>     
> >>     Still not fixed functionality: [1] There is the "Auto-select SHA1
> >>     (length)" configuration preference that affects "Copy commit reference"
> >>     on both SHA1 and SHA256 repositories.
> >>     
> >>     A new "Auto-select SHA256 (length)" configuration preference should be
> >>     added and used on SHA256 repositories instead of the old one. Since I'm
> >>     not familiar with Tcl/Tk and this issue isn't critical I didn't
> >>     implement it.
> >
> > Thanks, Rostislav; please follow Documentation/SubmittingPatches
> > next time you touch gitk (or git-gui), as they have their own
> > repositories and maintainers.
> 
> A comment on the patch at large: I realize that the author isn't
> familiar with Tcl, and this is a minimal & immediate fix, so maybe we
> should just take it.

Plus it takes a huge while for any patch to be merged. There's 0 commits
in 2021 on the gitk repository, and in 2020 there were only 6.

My last simple patch from May [1] is still waiting for any kind of
feedback.

[1] https://lore.kernel.org/git/[email-masked]/

-- 
Felipe Contreras